package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DconfigPaPfUoHCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 2107839351L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdConfigPaPfUoH;

	private StringFilter flagValidoUoSubordinate;

	private LongFilter fkConfigPaPianoFerie;

	private LongFilter fkUnitaFunzionale;

	private LongFilter fkUnitaOrganizzativaPk;

	private StringFilter utenteUltimaModifica;

	private StringFilter flagEliminato;

	private LocalDateFilter dataInizioValidita;

	private LocalDateFilter dataFineValidita;

	private LocalDateFilter dataUltimaModifica;

	// FILTER FATHER
	private String theDconfigPaPianiFerieObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdConfigPaPfUoH
	 */
	public LongFilter getSequIdConfigPaPfUoH() {
		return this.sequIdConfigPaPfUoH;
	}

	/**
	 * @param sequIdConfigPaPfUoH to set
	 */
	public void setSequIdConfigPaPfUoH(LongFilter sequIdConfigPaPfUoH) {
		this.sequIdConfigPaPfUoH = sequIdConfigPaPfUoH;
	}

	/**
	 * @return the flagValidoUoSubordinate
	 */
	public StringFilter getFlagValidoUoSubordinate() {
		return this.flagValidoUoSubordinate;
	}

	/**
	 * @param flagValidoUoSubordinate to set
	 */
	public void setFlagValidoUoSubordinate(StringFilter flagValidoUoSubordinate) {
		this.flagValidoUoSubordinate = flagValidoUoSubordinate;
	}

	/**
	 * @return the fkConfigPaPianoFerie
	 */
	public LongFilter getFkConfigPaPianoFerie() {
		return this.fkConfigPaPianoFerie;
	}

	/**
	 * @param fkConfigPaPianoFerie to set
	 */
	public void setFkConfigPaPianoFerie(LongFilter fkConfigPaPianoFerie) {
		this.fkConfigPaPianoFerie = fkConfigPaPianoFerie;
	}

	/**
	 * @return the fkUnitaFunzionale
	 */
	public LongFilter getFkUnitaFunzionale() {
		return this.fkUnitaFunzionale;
	}

	/**
	 * @param fkUnitaFunzionale to set
	 */
	public void setFkUnitaFunzionale(LongFilter fkUnitaFunzionale) {
		this.fkUnitaFunzionale = fkUnitaFunzionale;
	}

	/**
	 * @return the fkUnitaOrganizzativaPk
	 */
	public LongFilter getFkUnitaOrganizzativaPk() {
		return this.fkUnitaOrganizzativaPk;
	}

	/**
	 * @param fkUnitaOrganizzativaPk to set
	 */
	public void setFkUnitaOrganizzativaPk(LongFilter fkUnitaOrganizzativaPk) {
		this.fkUnitaOrganizzativaPk = fkUnitaOrganizzativaPk;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the dataInizioValidita
	 */
	public DateFilter getDataInizioValidita() {
		return this.dataInizioValidita;
	}

	/**
	 * @param dataInizioValidita to set
	 */
	public void setDataInizioValidita(DateFilter dataInizioValidita) {
		this.dataInizioValidita = dataInizioValidita;
	}

	/**
	 * @return the dataFineValidita
	 */
	public DateFilter getDataFineValidita() {
		return this.dataFineValidita;
	}

	/**
	 * @param dataFineValidita to set
	 */
	public void setDataFineValidita(DateFilter dataFineValidita) {
		this.dataFineValidita = dataFineValidita;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	// GETTER/SETTER FATHER

	public String getTheDconfigPaPianiFerieObjectKey() {
		return theDconfigPaPianiFerieObjectKey;
	}

	public void setTheDconfigPaPianiFerieObjectKey(String theDconfigPaPianiFerieObjectKey) {
		this.theDconfigPaPianiFerieObjectKey = theDconfigPaPianiFerieObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
